# Class ProgramComponent

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ProgramComponent

Direct Known Subclasses:
  `Program`

public abstract class ProgramComponent extends Component

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXIT_CODE_EXTERNAL`
`static final int`
`EXIT_CODE_INTERNAL`
`static final int`
`EXIT_CODE_SEMANTIC`
`static final int`
`EXIT_CODE_SUCCESS`
`static final int`
`EXIT_CODE_SYNTAX`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ProgramComponent()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isClient(Class<? extends Program> type)`
`static boolean`
`isClient(Program program)`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXIT_CODE_SUCCESS

public static final int EXIT_CODE_SUCCESS

See Also:
  - Constant Field Values

### EXIT_CODE_SYNTAX

public static final int EXIT_CODE_SYNTAX

See Also:
  - Constant Field Values

### EXIT_CODE_SEMANTIC

public static final int EXIT_CODE_SEMANTIC

See Also:
  - Constant Field Values

### EXIT_CODE_EXTERNAL

public static final int EXIT_CODE_EXTERNAL

See Also:
  - Constant Field Values

### EXIT_CODE_INTERNAL

public static final int EXIT_CODE_INTERNAL

See Also:
  - Constant Field Values

## Constructor Details

### ProgramComponent

protected ProgramComponent()

## Method Details

### isClient

public static boolean isClient(Class<? extends Program> type)

### isClient

public static boolean isClient(Program program)